<html>
<head>
<title>OGRE: OgreBillboardParticleRenderer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreBillboardParticleRenderer.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreBillboardSet_8h-source.html">OgreBillboardSet.h</a>&quot;</code><br>

<p>
<a href="OgreBillboardParticleRenderer_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a> to render particles using a <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with...">BillboardSet</a>.  <a href="classOgre_1_1BillboardParticleRenderer.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html">Ogre::BillboardParticleRenderer::CmdBillboardType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for billboard type (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for billboard origin (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for billboard rotation type (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html">Ogre::BillboardParticleRenderer::CmdCommonDirection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for common direction (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for common up-vector (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html">Ogre::BillboardParticleRenderer::CmdPointRendering</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for point rendering (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for accurate facing(see ParamCommand).  <a href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html">Ogre::BillboardParticleRendererFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Factory class for <a class="el" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet...">BillboardParticleRenderer</a>.  <a href="classOgre_1_1BillboardParticleRendererFactory.html#_details">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
